# WOK
TKWOK
WOKUnix

# WOKUnix_FDescr Class Reference

`#include <WOKUnix_FDescr.hxx>`

Inheritance diagram for WOKUnix_FDescr:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKUnix_FDescr ()
Standard_EXPORT | WOKUnix_FDescr (const Standard_Integer afd)
Standard_EXPORT | WOKUnix_FDescr (const Standard_Integer afd, const Handle(TCollection_HAsciiString)&apath)
Standard_EXPORT | WOKUnix_FDescr (const Handle(TCollection_HAsciiString)&apath)
Standard_EXPORT void | EmptyAndOpen ()
Standard_EXPORT void | BuildTemporary ()
Standard_EXPORT void | BuildTemporary (const TCollection_AsciiString &apath)
Standard_EXPORT WOKUnix_FDescr | BuildNamedPipe ()
Standard_EXPORT Standard_Integer | GetNbToRead ()
Standard_EXPORT void | SetUnBuffered ()
Standard_EXPORT void | SetNonBlock ()
Standard_EXPORT void | Flush ()
Standard_EXPORT void | Dup ()
Standard_EXPORT Standard_Integer | FileNo () const
Standard_EXPORT Standard_Integer | GetSize ()
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT Handle_TCollection_HAsciiString | ReadLine ()

## Static Public Member Functions

static Standard_EXPORT void | Pipe (WOKUnix_FDescr &anin, WOKUnix_FDescr &anout)
static Standard_EXPORT WOKUnix_FDescr | Stdin ()
static Standard_EXPORT WOKUnix_FDescr | Stdout ()
static Standard_EXPORT WOKUnix_FDescr | Stderr ()

## Constructor & Destructor Documentation

Standard_EXPORT WOKUnix_FDescr::WOKUnix_FDescr | ( |  | ) |

Standard_EXPORT WOKUnix_FDescr::WOKUnix_FDescr | ( | const Standard_Integer | afd | ) |

Standard_EXPORT WOKUnix_FDescr::WOKUnix_FDescr | ( | const Standard_Integer | afd,
|  | const Handle(TCollection_HAsciiString)& | apath
| ) |

Standard_EXPORT WOKUnix_FDescr::WOKUnix_FDescr | ( | const Handle(TCollection_HAsciiString)& | apath | ) |

## Member Function Documentation

Standard_EXPORT WOKUnix_FDescr WOKUnix_FDescr::BuildNamedPipe | ( |  | ) |

Standard_EXPORT void WOKUnix_FDescr::BuildTemporary | ( | const TCollection_AsciiString & | apath | ) |

Standard_EXPORT void WOKUnix_FDescr::BuildTemporary | ( |  | ) |

Standard_EXPORT void WOKUnix_FDescr::Dup | ( |  | ) |

Standard_EXPORT void WOKUnix_FDescr::EmptyAndOpen | ( |  | ) |

Standard_EXPORT Standard_Integer WOKUnix_FDescr::FileNo | ( |  | ) | const

Standard_EXPORT void WOKUnix_FDescr::Flush | ( |  | ) |

Standard_EXPORT Standard_Integer WOKUnix_FDescr::GetNbToRead | ( |  | ) |

Standard_EXPORT Standard_Integer WOKUnix_FDescr::GetSize | ( |  | ) |

Standard_EXPORT Handle_TCollection_HAsciiString WOKUnix_FDescr::Name | ( |  | ) | const

void WOKUnix_FDescr::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in WOKUnix_AdmFile.

void* WOKUnix_FDescr::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in WOKUnix_AdmFile.

void* WOKUnix_FDescr::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in WOKUnix_AdmFile.

static Standard_EXPORT void WOKUnix_FDescr::Pipe | ( | WOKUnix_FDescr & | anin,
|  | WOKUnix_FDescr & | anout
| ) | `[static]`

Standard_EXPORT Handle_TCollection_HAsciiString WOKUnix_FDescr::ReadLine | ( |  | ) |

Standard_EXPORT void WOKUnix_FDescr::SetNonBlock | ( |  | ) |

Standard_EXPORT void WOKUnix_FDescr::SetUnBuffered | ( |  | ) |

static Standard_EXPORT WOKUnix_FDescr WOKUnix_FDescr::Stderr | ( |  | ) | `[static]`

static Standard_EXPORT WOKUnix_FDescr WOKUnix_FDescr::Stdin | ( |  | ) | `[static]`

static Standard_EXPORT WOKUnix_FDescr WOKUnix_FDescr::Stdout | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- WOKUnix_FDescr.hxx